# open-cpp-utils: open_cpp_utils::directed_tree< T >::traverser< V, O > Class Template Reference

Loading...
Searching...
No Matches
open_cpp_utils::directed_tree< T >::traverser< V, O > Class Template Reference

Visitor pattern for traversing the tree. More...

`#include <directed_tree.h>`

## Public Types

using | visitor_type = V
using | order_type = O

## Public Member Functions

| traverser (directed_tree &graph, visitor_type &visitor)
void | operator() ()

## Detailed Description

template<typename T>
template<typename V, typename O>
class open_cpp_utils::directed_tree< T >::traverser< V, O >

Visitor pattern for traversing the tree.

The documentation for this class was generated from the following file:

- directed_tree.h